org.eclipse.eef.provider

## Class EefItemProviderAdapterFactory

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
  - - org.eclipse.eef.util.EefAdapterFactory
    - - org.eclipse.eef.provider.EefItemProviderAdapterFactory

All Implemented Interfaces:
  org.eclipse.emf.common.notify.AdapterFactory, org.eclipse.emf.edit.provider.ComposeableAdapterFactory, org.eclipse.emf.edit.provider.IChangeNotifier, org.eclipse.emf.edit.provider.IChildCreationExtender, org.eclipse.emf.edit.provider.IDisposable

    public class EefItemProviderAdapterFactory
    extends EefAdapterFactory
    implements org.eclipse.emf.edit.provider.ComposeableAdapterFactory, org.eclipse.emf.edit.provider.IChangeNotifier, org.eclipse.emf.edit.provider.IDisposable, org.eclipse.emf.edit.provider.IChildCreationExtender

This is the factory that is used to provide the interfaces needed to support Viewers. The adapters generated by this factory convert EMF adapter notifications into calls to `fireNotifyChanged`. The adapters also support Eclipse property sheets. Note that most of the adapters are shared among multiple instances.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.emf.edit.provider.IChildCreationExtender

`org.eclipse.emf.edit.provider.IChildCreationExtender.Descriptor`

### Field Summary

Fields
`protected org.eclipse.emf.edit.provider.IChangeNotifier` `changeNotifier` This is used to implement `IChangeNotifier`.
`protected org.eclipse.emf.edit.provider.ChildCreationExtenderManager` `childCreationExtenderManager` This helps manage the child creation extenders.
`protected EEFButtonConditionalStyleItemProvider` `eefButtonConditionalStyleItemProvider` This keeps track of the one adapter used for all `EEFButtonConditionalStyle` instances.
`protected EEFButtonDescriptionItemProvider` `eefButtonDescriptionItemProvider` This keeps track of the one adapter used for all `EEFButtonDescription` instances.
`protected EEFButtonStyleItemProvider` `eefButtonStyleItemProvider` This keeps track of the one adapter used for all `EEFButtonStyle` instances.
`protected EEFCheckboxConditionalStyleItemProvider` `eefCheckboxConditionalStyleItemProvider` This keeps track of the one adapter used for all `EEFCheckboxConditionalStyle` instances.
`protected EEFCheckboxDescriptionItemProvider` `eefCheckboxDescriptionItemProvider` This keeps track of the one adapter used for all `EEFCheckboxDescription` instances.
`protected EEFCheckboxStyleItemProvider` `eefCheckboxStyleItemProvider` This keeps track of the one adapter used for all `EEFCheckboxStyle` instances.
`protected EEFContainerDescriptionItemProvider` `eefContainerDescriptionItemProvider` This keeps track of the one adapter used for all `EEFContainerDescription` instances.
`protected EEFCustomExpressionItemProvider` `eefCustomExpressionItemProvider` This keeps track of the one adapter used for all `EEFCustomExpression` instances.
`protected EEFCustomWidgetConditionalStyleItemProvider` `eefCustomWidgetConditionalStyleItemProvider` This keeps track of the one adapter used for all `EEFCustomWidgetConditionalStyle` instances.
`protected EEFCustomWidgetDescriptionItemProvider` `eefCustomWidgetDescriptionItemProvider` This keeps track of the one adapter used for all `EEFCustomWidgetDescription` instances.
`protected EEFCustomWidgetStyleItemProvider` `eefCustomWidgetStyleItemProvider` This keeps track of the one adapter used for all `EEFCustomWidgetStyle` instances.
`protected EEFDynamicMappingForItemProvider` `eefDynamicMappingForItemProvider` This keeps track of the one adapter used for all `EEFDynamicMappingFor` instances.
`protected EEFDynamicMappingIfItemProvider` `eefDynamicMappingIfItemProvider` This keeps track of the one adapter used for all `EEFDynamicMappingIf` instances.
`protected EEFFillLayoutDescriptionItemProvider` `eefFillLayoutDescriptionItemProvider` This keeps track of the one adapter used for all `EEFFillLayoutDescription` instances.
`protected EEFGridLayoutDescriptionItemProvider` `eefGridLayoutDescriptionItemProvider` This keeps track of the one adapter used for all `EEFGridLayoutDescription` instances.
`protected EEFGroupConditionalStyleItemProvider` `eefGroupConditionalStyleItemProvider` This keeps track of the one adapter used for all `EEFGroupConditionalStyle` instances.
`protected EEFGroupDescriptionItemProvider` `eefGroupDescriptionItemProvider` This keeps track of the one adapter used for all `EEFGroupDescription` instances.
`protected EEFGroupStyleItemProvider` `eefGroupStyleItemProvider` This keeps track of the one adapter used for all `EEFGroupStyle` instances.
`protected EEFHyperlinkConditionalStyleItemProvider` `eefHyperlinkConditionalStyleItemProvider` This keeps track of the one adapter used for all `EEFHyperlinkConditionalStyle` instances.
`protected EEFHyperlinkDescriptionItemProvider` `eefHyperlinkDescriptionItemProvider` This keeps track of the one adapter used for all `EEFHyperlinkDescription` instances.
`protected EEFHyperlinkStyleItemProvider` `eefHyperlinkStyleItemProvider` This keeps track of the one adapter used for all `EEFHyperlinkStyle` instances.
`protected EEFLabelConditionalStyleItemProvider` `eefLabelConditionalStyleItemProvider` This keeps track of the one adapter used for all `EEFLabelConditionalStyle` instances.
`protected EEFLabelDescriptionItemProvider` `eefLabelDescriptionItemProvider` This keeps track of the one adapter used for all `EEFLabelDescription` instances.
`protected EEFLabelStyleItemProvider` `eefLabelStyleItemProvider` This keeps track of the one adapter used for all `EEFLabelStyle` instances.
`protected EEFListConditionalStyleItemProvider` `eefListConditionalStyleItemProvider` This keeps track of the one adapter used for all `EEFListConditionalStyle` instances.
`protected EEFListDescriptionItemProvider` `eefListDescriptionItemProvider` This keeps track of the one adapter used for all `EEFListDescription` instances.
`protected EEFListStyleItemProvider` `eefListStyleItemProvider` This keeps track of the one adapter used for all `EEFListStyle` instances.
`protected EEFPageDescriptionItemProvider` `eefPageDescriptionItemProvider` This keeps track of the one adapter used for all `EEFPageDescription` instances.
`protected EEFPropertyValidationRuleDescriptionItemProvider` `eefPropertyValidationRuleDescriptionItemProvider` This keeps track of the one adapter used for all `EEFPropertyValidationRuleDescription` instances.
`protected EEFRadioConditionalStyleItemProvider` `eefRadioConditionalStyleItemProvider` This keeps track of the one adapter used for all `EEFRadioConditionalStyle` instances.
`protected EEFRadioDescriptionItemProvider` `eefRadioDescriptionItemProvider` This keeps track of the one adapter used for all `EEFRadioDescription` instances.
`protected EEFRadioStyleItemProvider` `eefRadioStyleItemProvider` This keeps track of the one adapter used for all `EEFRadioStyle` instances.
`protected EEFRuleAuditDescriptionItemProvider` `eefRuleAuditDescriptionItemProvider` This keeps track of the one adapter used for all `EEFRuleAuditDescription` instances.
`protected EEFSelectConditionalStyleItemProvider` `eefSelectConditionalStyleItemProvider` This keeps track of the one adapter used for all `EEFSelectConditionalStyle` instances.
`protected EEFSelectDescriptionItemProvider` `eefSelectDescriptionItemProvider` This keeps track of the one adapter used for all `EEFSelectDescription` instances.
`protected EEFSelectStyleItemProvider` `eefSelectStyleItemProvider` This keeps track of the one adapter used for all `EEFSelectStyle` instances.
`protected EEFSemanticValidationRuleDescriptionItemProvider` `eefSemanticValidationRuleDescriptionItemProvider` This keeps track of the one adapter used for all `EEFSemanticValidationRuleDescription` instances.
`protected EEFTextConditionalStyleItemProvider` `eefTextConditionalStyleItemProvider` This keeps track of the one adapter used for all `EEFTextConditionalStyle` instances.
`protected EEFTextDescriptionItemProvider` `eefTextDescriptionItemProvider` This keeps track of the one adapter used for all `EEFTextDescription` instances.
`protected EEFTextStyleItemProvider` `eefTextStyleItemProvider` This keeps track of the one adapter used for all `EEFTextStyle` instances.
`protected EEFValidationFixDescriptionItemProvider` `eefValidationFixDescriptionItemProvider` This keeps track of the one adapter used for all `EEFValidationFixDescription` instances.
`protected EEFViewDescriptionItemProvider` `eefViewDescriptionItemProvider` This keeps track of the one adapter used for all `EEFViewDescription` instances.
`protected EEFWidgetActionItemProvider` `eefWidgetActionItemProvider` This keeps track of the one adapter used for all `EEFWidgetAction` instances.
`protected org.eclipse.emf.edit.provider.ComposedAdapterFactory` `parentAdapterFactory` This keeps track of the root adapter factory that delegates to this adapter factory.
`protected java.util.Collection<java.lang.Object>` `supportedTypes` This keeps track of all the supported types checked by `isFactoryForType`.

### Fields inherited from class org.eclipse.eef.util.EefAdapterFactory

`modelPackage, modelSwitch`

### Constructor Summary

Constructors
Constructor and Description
`EefItemProviderAdapterFactory()` This constructs an instance.

### Method Summary

All Methods Instance Methods Concrete Methods
`org.eclipse.emf.common.notify.Adapter` `adapt(org.eclipse.emf.common.notify.Notifier notifier, java.lang.Object type)` This implementation substitutes the factory itself as the key for the adapter.
`java.lang.Object` `adapt(java.lang.Object object, java.lang.Object type)`
`void` `addListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)` This adds a listener.
`org.eclipse.emf.common.notify.Adapter` `createEEFButtonConditionalStyleAdapter()` This creates an adapter for a `EEFButtonConditionalStyle`.
`org.eclipse.emf.common.notify.Adapter` `createEEFButtonDescriptionAdapter()` This creates an adapter for a `EEFButtonDescription`.
`org.eclipse.emf.common.notify.Adapter` `createEEFButtonStyleAdapter()` This creates an adapter for a `EEFButtonStyle`.
`org.eclipse.emf.common.notify.Adapter` `createEEFCheckboxConditionalStyleAdapter()` This creates an adapter for a `EEFCheckboxConditionalStyle`.
`org.eclipse.emf.common.notify.Adapter` `createEEFCheckboxDescriptionAdapter()` This creates an adapter for a `EEFCheckboxDescription`.
`org.eclipse.emf.common.notify.Adapter` `createEEFCheckboxStyleAdapter()` This creates an adapter for a `EEFCheckboxStyle`.
`org.eclipse.emf.common.notify.Adapter` `createEEFContainerDescriptionAdapter()` This creates an adapter for a `EEFContainerDescription`.
`org.eclipse.emf.common.notify.Adapter` `createEEFCustomExpressionAdapter()` This creates an adapter for a `EEFCustomExpression`.
`org.eclipse.emf.common.notify.Adapter` `createEEFCustomWidgetConditionalStyleAdapter()` This creates an adapter for a `EEFCustomWidgetConditionalStyle`.
`org.eclipse.emf.common.notify.Adapter` `createEEFCustomWidgetDescriptionAdapter()` This creates an adapter for a `EEFCustomWidgetDescription`.
`org.eclipse.emf.common.notify.Adapter` `createEEFCustomWidgetStyleAdapter()` This creates an adapter for a `EEFCustomWidgetStyle`.
`org.eclipse.emf.common.notify.Adapter` `createEEFDynamicMappingForAdapter()` This creates an adapter for a `EEFDynamicMappingFor`.
`org.eclipse.emf.common.notify.Adapter` `createEEFDynamicMappingIfAdapter()` This creates an adapter for a `EEFDynamicMappingIf`.
`org.eclipse.emf.common.notify.Adapter` `createEEFFillLayoutDescriptionAdapter()` This creates an adapter for a `EEFFillLayoutDescription`.
`org.eclipse.emf.common.notify.Adapter` `createEEFGridLayoutDescriptionAdapter()` This creates an adapter for a `EEFGridLayoutDescription`.
`org.eclipse.emf.common.notify.Adapter` `createEEFGroupConditionalStyleAdapter()` This creates an adapter for a `EEFGroupConditionalStyle`.
`org.eclipse.emf.common.notify.Adapter` `createEEFGroupDescriptionAdapter()` This creates an adapter for a `EEFGroupDescription`.
`org.eclipse.emf.common.notify.Adapter` `createEEFGroupStyleAdapter()` This creates an adapter for a `EEFGroupStyle`.
`org.eclipse.emf.common.notify.Adapter` `createEEFHyperlinkConditionalStyleAdapter()` This creates an adapter for a `EEFHyperlinkConditionalStyle`.
`org.eclipse.emf.common.notify.Adapter` `createEEFHyperlinkDescriptionAdapter()` This creates an adapter for a `EEFHyperlinkDescription`.
`org.eclipse.emf.common.notify.Adapter` `createEEFHyperlinkStyleAdapter()` This creates an adapter for a `EEFHyperlinkStyle`.
`org.eclipse.emf.common.notify.Adapter` `createEEFLabelConditionalStyleAdapter()` This creates an adapter for a `EEFLabelConditionalStyle`.
`org.eclipse.emf.common.notify.Adapter` `createEEFLabelDescriptionAdapter()` This creates an adapter for a `EEFLabelDescription`.
`org.eclipse.emf.common.notify.Adapter` `createEEFLabelStyleAdapter()` This creates an adapter for a `EEFLabelStyle`.
`org.eclipse.emf.common.notify.Adapter` `createEEFListConditionalStyleAdapter()` This creates an adapter for a `EEFListConditionalStyle`.
`org.eclipse.emf.common.notify.Adapter` `createEEFListDescriptionAdapter()` This creates an adapter for a `EEFListDescription`.
`org.eclipse.emf.common.notify.Adapter` `createEEFListStyleAdapter()` This creates an adapter for a `EEFListStyle`.
`org.eclipse.emf.common.notify.Adapter` `createEEFPageDescriptionAdapter()` This creates an adapter for a `EEFPageDescription`.
`org.eclipse.emf.common.notify.Adapter` `createEEFPropertyValidationRuleDescriptionAdapter()` This creates an adapter for a `EEFPropertyValidationRuleDescription`.
`org.eclipse.emf.common.notify.Adapter` `createEEFRadioConditionalStyleAdapter()` This creates an adapter for a `EEFRadioConditionalStyle`.
`org.eclipse.emf.common.notify.Adapter` `createEEFRadioDescriptionAdapter()` This creates an adapter for a `EEFRadioDescription`.
`org.eclipse.emf.common.notify.Adapter` `createEEFRadioStyleAdapter()` This creates an adapter for a `EEFRadioStyle`.
`org.eclipse.emf.common.notify.Adapter` `createEEFRuleAuditDescriptionAdapter()` This creates an adapter for a `EEFRuleAuditDescription`.
`org.eclipse.emf.common.notify.Adapter` `createEEFSelectConditionalStyleAdapter()` This creates an adapter for a `EEFSelectConditionalStyle`.
`org.eclipse.emf.common.notify.Adapter` `createEEFSelectDescriptionAdapter()` This creates an adapter for a `EEFSelectDescription`.
`org.eclipse.emf.common.notify.Adapter` `createEEFSelectStyleAdapter()` This creates an adapter for a `EEFSelectStyle`.
`org.eclipse.emf.common.notify.Adapter` `createEEFSemanticValidationRuleDescriptionAdapter()` This creates an adapter for a `EEFSemanticValidationRuleDescription`.
`org.eclipse.emf.common.notify.Adapter` `createEEFTextConditionalStyleAdapter()` This creates an adapter for a `EEFTextConditionalStyle`.
`org.eclipse.emf.common.notify.Adapter` `createEEFTextDescriptionAdapter()` This creates an adapter for a `EEFTextDescription`.
`org.eclipse.emf.common.notify.Adapter` `createEEFTextStyleAdapter()` This creates an adapter for a `EEFTextStyle`.
`org.eclipse.emf.common.notify.Adapter` `createEEFValidationFixDescriptionAdapter()` This creates an adapter for a `EEFValidationFixDescription`.
`org.eclipse.emf.common.notify.Adapter` `createEEFViewDescriptionAdapter()` This creates an adapter for a `EEFViewDescription`.
`org.eclipse.emf.common.notify.Adapter` `createEEFWidgetActionAdapter()` This creates an adapter for a `EEFWidgetAction`.
`void` `dispose()` This disposes all of the item providers created by this factory.
`void` `fireNotifyChanged(org.eclipse.emf.common.notify.Notification notification)` This delegates to `changeNotifier` and to `parentAdapterFactory`.
`java.util.List<org.eclipse.emf.edit.provider.IChildCreationExtender>` `getChildCreationExtenders()`
`java.util.Collection<?>` `getNewChildDescriptors(java.lang.Object object, org.eclipse.emf.edit.domain.EditingDomain editingDomain)`
`org.eclipse.emf.common.util.ResourceLocator` `getResourceLocator()`
`org.eclipse.emf.edit.provider.ComposeableAdapterFactory` `getRootAdapterFactory()` This returns the root adapter factory that contains this factory.
`boolean` `isFactoryForType(java.lang.Object type)`
`void` `removeListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)` This removes a listener.
`void` `setParentAdapterFactory(org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory)` This sets the composed adapter factory that contains this factory.

### Methods inherited from class org.eclipse.eef.util.EefAdapterFactory

`createAdapter, createEEFConditionalStyleAdapter, createEEFControlDescriptionAdapter, createEEFLayoutDescriptionAdapter, createEEFValidationRuleDescriptionAdapter, createEEFWidgetDescriptionAdapter, createEEFWidgetStyleAdapter, createEObjectAdapter`

### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

`adaptAllNew, adaptNew, associate, createAdapter, resolve`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.common.notify.AdapterFactory

`adaptAllNew, adaptNew`

### Field Detail

#### parentAdapterFactory

    protected org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory

This keeps track of the root adapter factory that delegates to this adapter factory.

#### changeNotifier

    protected org.eclipse.emf.edit.provider.IChangeNotifier changeNotifier

This is used to implement `IChangeNotifier`.

#### childCreationExtenderManager

    protected org.eclipse.emf.edit.provider.ChildCreationExtenderManager childCreationExtenderManager

This helps manage the child creation extenders.

#### supportedTypes

    protected java.util.Collection<java.lang.Object> supportedTypes

This keeps track of all the supported types checked by `isFactoryForType`.

#### eefViewDescriptionItemProvider

    protected EEFViewDescriptionItemProvider eefViewDescriptionItemProvider

This keeps track of the one adapter used for all `EEFViewDescription` instances.

#### eefPageDescriptionItemProvider

    protected EEFPageDescriptionItemProvider eefPageDescriptionItemProvider

This keeps track of the one adapter used for all `EEFPageDescription` instances.

#### eefRuleAuditDescriptionItemProvider

    protected EEFRuleAuditDescriptionItemProvider eefRuleAuditDescriptionItemProvider

This keeps track of the one adapter used for all `EEFRuleAuditDescription` instances.

#### eefValidationFixDescriptionItemProvider

    protected EEFValidationFixDescriptionItemProvider eefValidationFixDescriptionItemProvider

This keeps track of the one adapter used for all `EEFValidationFixDescription` instances.

#### eefPropertyValidationRuleDescriptionItemProvider

    protected EEFPropertyValidationRuleDescriptionItemProvider eefPropertyValidationRuleDescriptionItemProvider

This keeps track of the one adapter used for all `EEFPropertyValidationRuleDescription` instances.

#### eefSemanticValidationRuleDescriptionItemProvider

    protected EEFSemanticValidationRuleDescriptionItemProvider eefSemanticValidationRuleDescriptionItemProvider

This keeps track of the one adapter used for all `EEFSemanticValidationRuleDescription` instances.

#### eefGroupDescriptionItemProvider

    protected EEFGroupDescriptionItemProvider eefGroupDescriptionItemProvider

This keeps track of the one adapter used for all `EEFGroupDescription` instances.

#### eefContainerDescriptionItemProvider

    protected EEFContainerDescriptionItemProvider eefContainerDescriptionItemProvider

This keeps track of the one adapter used for all `EEFContainerDescription` instances.

#### eefFillLayoutDescriptionItemProvider

    protected EEFFillLayoutDescriptionItemProvider eefFillLayoutDescriptionItemProvider

This keeps track of the one adapter used for all `EEFFillLayoutDescription` instances.

#### eefGridLayoutDescriptionItemProvider

    protected EEFGridLayoutDescriptionItemProvider eefGridLayoutDescriptionItemProvider

This keeps track of the one adapter used for all `EEFGridLayoutDescription` instances.

#### eefTextDescriptionItemProvider

    protected EEFTextDescriptionItemProvider eefTextDescriptionItemProvider

This keeps track of the one adapter used for all `EEFTextDescription` instances.

#### eefLabelDescriptionItemProvider

    protected EEFLabelDescriptionItemProvider eefLabelDescriptionItemProvider

This keeps track of the one adapter used for all `EEFLabelDescription` instances.

#### eefButtonDescriptionItemProvider

    protected EEFButtonDescriptionItemProvider eefButtonDescriptionItemProvider

This keeps track of the one adapter used for all `EEFButtonDescription` instances.

#### eefCheckboxDescriptionItemProvider

    protected EEFCheckboxDescriptionItemProvider eefCheckboxDescriptionItemProvider

This keeps track of the one adapter used for all `EEFCheckboxDescription` instances.

#### eefSelectDescriptionItemProvider

    protected EEFSelectDescriptionItemProvider eefSelectDescriptionItemProvider

This keeps track of the one adapter used for all `EEFSelectDescription` instances.

#### eefRadioDescriptionItemProvider

    protected EEFRadioDescriptionItemProvider eefRadioDescriptionItemProvider

This keeps track of the one adapter used for all `EEFRadioDescription` instances.

#### eefHyperlinkDescriptionItemProvider

    protected EEFHyperlinkDescriptionItemProvider eefHyperlinkDescriptionItemProvider

This keeps track of the one adapter used for all `EEFHyperlinkDescription` instances.

#### eefDynamicMappingForItemProvider

    protected EEFDynamicMappingForItemProvider eefDynamicMappingForItemProvider

This keeps track of the one adapter used for all `EEFDynamicMappingFor` instances.

#### eefDynamicMappingIfItemProvider

    protected EEFDynamicMappingIfItemProvider eefDynamicMappingIfItemProvider

This keeps track of the one adapter used for all `EEFDynamicMappingIf` instances.

#### eefCustomWidgetDescriptionItemProvider

    protected EEFCustomWidgetDescriptionItemProvider eefCustomWidgetDescriptionItemProvider

This keeps track of the one adapter used for all `EEFCustomWidgetDescription` instances.

#### eefCustomExpressionItemProvider

    protected EEFCustomExpressionItemProvider eefCustomExpressionItemProvider

This keeps track of the one adapter used for all `EEFCustomExpression` instances.

#### eefListDescriptionItemProvider

    protected EEFListDescriptionItemProvider eefListDescriptionItemProvider

This keeps track of the one adapter used for all `EEFListDescription` instances.

#### eefTextStyleItemProvider

    protected EEFTextStyleItemProvider eefTextStyleItemProvider

This keeps track of the one adapter used for all `EEFTextStyle` instances.

#### eefLabelStyleItemProvider

    protected EEFLabelStyleItemProvider eefLabelStyleItemProvider

This keeps track of the one adapter used for all `EEFLabelStyle` instances.

#### eefButtonStyleItemProvider

    protected EEFButtonStyleItemProvider eefButtonStyleItemProvider

This keeps track of the one adapter used for all `EEFButtonStyle` instances.

#### eefCheckboxStyleItemProvider

    protected EEFCheckboxStyleItemProvider eefCheckboxStyleItemProvider

This keeps track of the one adapter used for all `EEFCheckboxStyle` instances.

#### eefSelectStyleItemProvider

    protected EEFSelectStyleItemProvider eefSelectStyleItemProvider

This keeps track of the one adapter used for all `EEFSelectStyle` instances.

#### eefRadioStyleItemProvider

    protected EEFRadioStyleItemProvider eefRadioStyleItemProvider

This keeps track of the one adapter used for all `EEFRadioStyle` instances.

#### eefHyperlinkStyleItemProvider

    protected EEFHyperlinkStyleItemProvider eefHyperlinkStyleItemProvider

This keeps track of the one adapter used for all `EEFHyperlinkStyle` instances.

#### eefCustomWidgetStyleItemProvider

    protected EEFCustomWidgetStyleItemProvider eefCustomWidgetStyleItemProvider

This keeps track of the one adapter used for all `EEFCustomWidgetStyle` instances.

#### eefListStyleItemProvider

    protected EEFListStyleItemProvider eefListStyleItemProvider

This keeps track of the one adapter used for all `EEFListStyle` instances.

#### eefGroupStyleItemProvider

    protected EEFGroupStyleItemProvider eefGroupStyleItemProvider

This keeps track of the one adapter used for all `EEFGroupStyle` instances.

#### eefTextConditionalStyleItemProvider

    protected EEFTextConditionalStyleItemProvider eefTextConditionalStyleItemProvider

This keeps track of the one adapter used for all `EEFTextConditionalStyle` instances.

#### eefButtonConditionalStyleItemProvider

    protected EEFButtonConditionalStyleItemProvider eefButtonConditionalStyleItemProvider

This keeps track of the one adapter used for all `EEFButtonConditionalStyle` instances.

#### eefLabelConditionalStyleItemProvider

    protected EEFLabelConditionalStyleItemProvider eefLabelConditionalStyleItemProvider

This keeps track of the one adapter used for all `EEFLabelConditionalStyle` instances.

#### eefCheckboxConditionalStyleItemProvider

    protected EEFCheckboxConditionalStyleItemProvider eefCheckboxConditionalStyleItemProvider

This keeps track of the one adapter used for all `EEFCheckboxConditionalStyle` instances.

#### eefSelectConditionalStyleItemProvider

    protected EEFSelectConditionalStyleItemProvider eefSelectConditionalStyleItemProvider

This keeps track of the one adapter used for all `EEFSelectConditionalStyle` instances.

#### eefRadioConditionalStyleItemProvider

    protected EEFRadioConditionalStyleItemProvider eefRadioConditionalStyleItemProvider

This keeps track of the one adapter used for all `EEFRadioConditionalStyle` instances.

#### eefHyperlinkConditionalStyleItemProvider

    protected EEFHyperlinkConditionalStyleItemProvider eefHyperlinkConditionalStyleItemProvider

This keeps track of the one adapter used for all `EEFHyperlinkConditionalStyle` instances.

#### eefCustomWidgetConditionalStyleItemProvider

    protected EEFCustomWidgetConditionalStyleItemProvider eefCustomWidgetConditionalStyleItemProvider

This keeps track of the one adapter used for all `EEFCustomWidgetConditionalStyle` instances.

#### eefWidgetActionItemProvider

    protected EEFWidgetActionItemProvider eefWidgetActionItemProvider

This keeps track of the one adapter used for all `EEFWidgetAction` instances.

#### eefListConditionalStyleItemProvider

    protected EEFListConditionalStyleItemProvider eefListConditionalStyleItemProvider

This keeps track of the one adapter used for all `EEFListConditionalStyle` instances.

#### eefGroupConditionalStyleItemProvider

    protected EEFGroupConditionalStyleItemProvider eefGroupConditionalStyleItemProvider

This keeps track of the one adapter used for all `EEFGroupConditionalStyle` instances.

### Constructor Detail

#### EefItemProviderAdapterFactory

    public EefItemProviderAdapterFactory()

This constructs an instance.

### Method Detail

#### createEEFViewDescriptionAdapter

    public org.eclipse.emf.common.notify.Adapter createEEFViewDescriptionAdapter()

This creates an adapter for a `EEFViewDescription`.

Overrides:
  `createEEFViewDescriptionAdapter` in class `EefAdapterFactory`
Returns:
  the new adapter.
See Also:
  `EEFViewDescription`

#### createEEFPageDescriptionAdapter

    public org.eclipse.emf.common.notify.Adapter createEEFPageDescriptionAdapter()

This creates an adapter for a `EEFPageDescription`.

Overrides:
  `createEEFPageDescriptionAdapter` in class `EefAdapterFactory`
Returns:
  the new adapter.
See Also:
  `EEFPageDescription`

#### createEEFRuleAuditDescriptionAdapter

    public org.eclipse.emf.common.notify.Adapter createEEFRuleAuditDescriptionAdapter()

This creates an adapter for a `EEFRuleAuditDescription`.

Overrides:
  `createEEFRuleAuditDescriptionAdapter` in class `EefAdapterFactory`
Returns:
  the new adapter.
See Also:
  `EEFRuleAuditDescription`

#### createEEFValidationFixDescriptionAdapter

    public org.eclipse.emf.common.notify.Adapter createEEFValidationFixDescriptionAdapter()

This creates an adapter for a `EEFValidationFixDescription`.

Overrides:
  `createEEFValidationFixDescriptionAdapter` in class `EefAdapterFactory`
Returns:
  the new adapter.
See Also:
  `EEFValidationFixDescription`

#### createEEFPropertyValidationRuleDescriptionAdapter

    public org.eclipse.emf.common.notify.Adapter createEEFPropertyValidationRuleDescriptionAdapter()

This creates an adapter for a `EEFPropertyValidationRuleDescription`.

Overrides:
  `createEEFPropertyValidationRuleDescriptionAdapter` in class `EefAdapterFactory`
Returns:
  the new adapter.
See Also:
  `EEFPropertyValidationRuleDescription`

#### createEEFSemanticValidationRuleDescriptionAdapter

    public org.eclipse.emf.common.notify.Adapter createEEFSemanticValidationRuleDescriptionAdapter()

This creates an adapter for a `EEFSemanticValidationRuleDescription`.

Overrides:
  `createEEFSemanticValidationRuleDescriptionAdapter` in class `EefAdapterFactory`
Returns:
  the new adapter.
See Also:
  `EEFSemanticValidationRuleDescription`

#### createEEFGroupDescriptionAdapter

    public org.eclipse.emf.common.notify.Adapter createEEFGroupDescriptionAdapter()

This creates an adapter for a `EEFGroupDescription`.

Overrides:
  `createEEFGroupDescriptionAdapter` in class `EefAdapterFactory`
Returns:
  the new adapter.
See Also:
  `EEFGroupDescription`

#### createEEFContainerDescriptionAdapter

    public org.eclipse.emf.common.notify.Adapter createEEFContainerDescriptionAdapter()

This creates an adapter for a `EEFContainerDescription`.

Overrides:
  `createEEFContainerDescriptionAdapter` in class `EefAdapterFactory`
Returns:
  the new adapter.
See Also:
  `EEFContainerDescription`

#### createEEFFillLayoutDescriptionAdapter

    public org.eclipse.emf.common.notify.Adapter createEEFFillLayoutDescriptionAdapter()

This creates an adapter for a `EEFFillLayoutDescription`.

Overrides:
  `createEEFFillLayoutDescriptionAdapter` in class `EefAdapterFactory`
Returns:
  the new adapter.
See Also:
  `EEFFillLayoutDescription`

#### createEEFGridLayoutDescriptionAdapter

    public org.eclipse.emf.common.notify.Adapter createEEFGridLayoutDescriptionAdapter()

This creates an adapter for a `EEFGridLayoutDescription`.

Overrides:
  `createEEFGridLayoutDescriptionAdapter` in class `EefAdapterFactory`
Returns:
  the new adapter.
See Also:
  `EEFGridLayoutDescription`

#### createEEFTextDescriptionAdapter

    public org.eclipse.emf.common.notify.Adapter createEEFTextDescriptionAdapter()

This creates an adapter for a `EEFTextDescription`.

Overrides:
  `createEEFTextDescriptionAdapter` in class `EefAdapterFactory`
Returns:
  the new adapter.
See Also:
  `EEFTextDescription`

#### createEEFLabelDescriptionAdapter

    public org.eclipse.emf.common.notify.Adapter createEEFLabelDescriptionAdapter()

This creates an adapter for a `EEFLabelDescription`.

Overrides:
  `createEEFLabelDescriptionAdapter` in class `EefAdapterFactory`
Returns:
  the new adapter.
See Also:
  `EEFLabelDescription`

#### createEEFButtonDescriptionAdapter

    public org.eclipse.emf.common.notify.Adapter createEEFButtonDescriptionAdapter()

This creates an adapter for a `EEFButtonDescription`.

Overrides:
  `createEEFButtonDescriptionAdapter` in class `EefAdapterFactory`
Returns:
  the new adapter.
See Also:
  `EEFButtonDescription`

#### createEEFCheckboxDescriptionAdapter

    public org.eclipse.emf.common.notify.Adapter createEEFCheckboxDescriptionAdapter()

This creates an adapter for a `EEFCheckboxDescription`.

Overrides:
  `createEEFCheckboxDescriptionAdapter` in class `EefAdapterFactory`
Returns:
  the new adapter.
See Also:
  `EEFCheckboxDescription`

#### createEEFSelectDescriptionAdapter

    public org.eclipse.emf.common.notify.Adapter createEEFSelectDescriptionAdapter()

This creates an adapter for a `EEFSelectDescription`.

Overrides:
  `createEEFSelectDescriptionAdapter` in class `EefAdapterFactory`
Returns:
  the new adapter.
See Also:
  `EEFSelectDescription`

#### createEEFRadioDescriptionAdapter

    public org.eclipse.emf.common.notify.Adapter createEEFRadioDescriptionAdapter()

This creates an adapter for a `EEFRadioDescription`.

Overrides:
  `createEEFRadioDescriptionAdapter` in class `EefAdapterFactory`
Returns:
  the new adapter.
See Also:
  `EEFRadioDescription`

#### createEEFHyperlinkDescriptionAdapter

    public org.eclipse.emf.common.notify.Adapter createEEFHyperlinkDescriptionAdapter()

This creates an adapter for a `EEFHyperlinkDescription`.

Overrides:
  `createEEFHyperlinkDescriptionAdapter` in class `EefAdapterFactory`
Returns:
  the new adapter.
See Also:
  `EEFHyperlinkDescription`

#### createEEFDynamicMappingForAdapter

    public org.eclipse.emf.common.notify.Adapter createEEFDynamicMappingForAdapter()

This creates an adapter for a `EEFDynamicMappingFor`.

Overrides:
  `createEEFDynamicMappingForAdapter` in class `EefAdapterFactory`
Returns:
  the new adapter.
See Also:
  `EEFDynamicMappingFor`

#### createEEFDynamicMappingIfAdapter

    public org.eclipse.emf.common.notify.Adapter createEEFDynamicMappingIfAdapter()

This creates an adapter for a `EEFDynamicMappingIf`.

Overrides:
  `createEEFDynamicMappingIfAdapter` in class `EefAdapterFactory`
Returns:
  the new adapter.
See Also:
  `EEFDynamicMappingIf`

#### createEEFCustomWidgetDescriptionAdapter

    public org.eclipse.emf.common.notify.Adapter createEEFCustomWidgetDescriptionAdapter()

This creates an adapter for a `EEFCustomWidgetDescription`.

Overrides:
  `createEEFCustomWidgetDescriptionAdapter` in class `EefAdapterFactory`
Returns:
  the new adapter.
See Also:
  `EEFCustomWidgetDescription`

#### createEEFCustomExpressionAdapter

    public org.eclipse.emf.common.notify.Adapter createEEFCustomExpressionAdapter()

This creates an adapter for a `EEFCustomExpression`.

Overrides:
  `createEEFCustomExpressionAdapter` in class `EefAdapterFactory`
Returns:
  the new adapter.
See Also:
  `EEFCustomExpression`

#### createEEFListDescriptionAdapter

    public org.eclipse.emf.common.notify.Adapter createEEFListDescriptionAdapter()

This creates an adapter for a `EEFListDescription`.

Overrides:
  `createEEFListDescriptionAdapter` in class `EefAdapterFactory`
Returns:
  the new adapter.
See Also:
  `EEFListDescription`

#### createEEFTextStyleAdapter

    public org.eclipse.emf.common.notify.Adapter createEEFTextStyleAdapter()

This creates an adapter for a `EEFTextStyle`.

Overrides:
  `createEEFTextStyleAdapter` in class `EefAdapterFactory`
Returns:
  the new adapter.
See Also:
  `EEFTextStyle`

#### createEEFLabelStyleAdapter

    public org.eclipse.emf.common.notify.Adapter createEEFLabelStyleAdapter()

This creates an adapter for a `EEFLabelStyle`.

Overrides:
  `createEEFLabelStyleAdapter` in class `EefAdapterFactory`
Returns:
  the new adapter.
See Also:
  `EEFLabelStyle`

#### createEEFButtonStyleAdapter

    public org.eclipse.emf.common.notify.Adapter createEEFButtonStyleAdapter()

This creates an adapter for a `EEFButtonStyle`.

Overrides:
  `createEEFButtonStyleAdapter` in class `EefAdapterFactory`
Returns:
  the new adapter.
See Also:
  `EEFButtonStyle`

#### createEEFCheckboxStyleAdapter

    public org.eclipse.emf.common.notify.Adapter createEEFCheckboxStyleAdapter()

This creates an adapter for a `EEFCheckboxStyle`.

Overrides:
  `createEEFCheckboxStyleAdapter` in class `EefAdapterFactory`
Returns:
  the new adapter.
See Also:
  `EEFCheckboxStyle`

#### createEEFSelectStyleAdapter

    public org.eclipse.emf.common.notify.Adapter createEEFSelectStyleAdapter()

This creates an adapter for a `EEFSelectStyle`.

Overrides:
  `createEEFSelectStyleAdapter` in class `EefAdapterFactory`
Returns:
  the new adapter.
See Also:
  `EEFSelectStyle`

#### createEEFRadioStyleAdapter

    public org.eclipse.emf.common.notify.Adapter createEEFRadioStyleAdapter()

This creates an adapter for a `EEFRadioStyle`.

Overrides:
  `createEEFRadioStyleAdapter` in class `EefAdapterFactory`
Returns:
  the new adapter.
See Also:
  `EEFRadioStyle`

#### createEEFHyperlinkStyleAdapter

    public org.eclipse.emf.common.notify.Adapter createEEFHyperlinkStyleAdapter()

This creates an adapter for a `EEFHyperlinkStyle`.

Overrides:
  `createEEFHyperlinkStyleAdapter` in class `EefAdapterFactory`
Returns:
  the new adapter.
See Also:
  `EEFHyperlinkStyle`

#### createEEFCustomWidgetStyleAdapter

    public org.eclipse.emf.common.notify.Adapter createEEFCustomWidgetStyleAdapter()

This creates an adapter for a `EEFCustomWidgetStyle`.

Overrides:
  `createEEFCustomWidgetStyleAdapter` in class `EefAdapterFactory`
Returns:
  the new adapter.
See Also:
  `EEFCustomWidgetStyle`

#### createEEFListStyleAdapter

    public org.eclipse.emf.common.notify.Adapter createEEFListStyleAdapter()

This creates an adapter for a `EEFListStyle`.

Overrides:
  `createEEFListStyleAdapter` in class `EefAdapterFactory`
Returns:
  the new adapter.
See Also:
  `EEFListStyle`

#### createEEFGroupStyleAdapter

    public org.eclipse.emf.common.notify.Adapter createEEFGroupStyleAdapter()

This creates an adapter for a `EEFGroupStyle`.

Overrides:
  `createEEFGroupStyleAdapter` in class `EefAdapterFactory`
Returns:
  the new adapter.
See Also:
  `EEFGroupStyle`

#### createEEFTextConditionalStyleAdapter

    public org.eclipse.emf.common.notify.Adapter createEEFTextConditionalStyleAdapter()

This creates an adapter for a `EEFTextConditionalStyle`.

Overrides:
  `createEEFTextConditionalStyleAdapter` in class `EefAdapterFactory`
Returns:
  the new adapter.
See Also:
  `EEFTextConditionalStyle`

#### createEEFButtonConditionalStyleAdapter

    public org.eclipse.emf.common.notify.Adapter createEEFButtonConditionalStyleAdapter()

This creates an adapter for a `EEFButtonConditionalStyle`.

Overrides:
  `createEEFButtonConditionalStyleAdapter` in class `EefAdapterFactory`
Returns:
  the new adapter.
See Also:
  `EEFButtonConditionalStyle`

#### createEEFLabelConditionalStyleAdapter

    public org.eclipse.emf.common.notify.Adapter createEEFLabelConditionalStyleAdapter()

This creates an adapter for a `EEFLabelConditionalStyle`.

Overrides:
  `createEEFLabelConditionalStyleAdapter` in class `EefAdapterFactory`
Returns:
  the new adapter.
See Also:
  `EEFLabelConditionalStyle`

#### createEEFCheckboxConditionalStyleAdapter

    public org.eclipse.emf.common.notify.Adapter createEEFCheckboxConditionalStyleAdapter()

This creates an adapter for a `EEFCheckboxConditionalStyle`.

Overrides:
  `createEEFCheckboxConditionalStyleAdapter` in class `EefAdapterFactory`
Returns:
  the new adapter.
See Also:
  `EEFCheckboxConditionalStyle`

#### createEEFSelectConditionalStyleAdapter

    public org.eclipse.emf.common.notify.Adapter createEEFSelectConditionalStyleAdapter()

This creates an adapter for a `EEFSelectConditionalStyle`.

Overrides:
  `createEEFSelectConditionalStyleAdapter` in class `EefAdapterFactory`
Returns:
  the new adapter.
See Also:
  `EEFSelectConditionalStyle`

#### createEEFRadioConditionalStyleAdapter

    public org.eclipse.emf.common.notify.Adapter createEEFRadioConditionalStyleAdapter()

This creates an adapter for a `EEFRadioConditionalStyle`.

Overrides:
  `createEEFRadioConditionalStyleAdapter` in class `EefAdapterFactory`
Returns:
  the new adapter.
See Also:
  `EEFRadioConditionalStyle`

#### createEEFHyperlinkConditionalStyleAdapter

    public org.eclipse.emf.common.notify.Adapter createEEFHyperlinkConditionalStyleAdapter()

This creates an adapter for a `EEFHyperlinkConditionalStyle`.

Overrides:
  `createEEFHyperlinkConditionalStyleAdapter` in class `EefAdapterFactory`
Returns:
  the new adapter.
See Also:
  `EEFHyperlinkConditionalStyle`

#### createEEFCustomWidgetConditionalStyleAdapter

    public org.eclipse.emf.common.notify.Adapter createEEFCustomWidgetConditionalStyleAdapter()

This creates an adapter for a `EEFCustomWidgetConditionalStyle`.

Overrides:
  `createEEFCustomWidgetConditionalStyleAdapter` in class `EefAdapterFactory`
Returns:
  the new adapter.
See Also:
  `EEFCustomWidgetConditionalStyle`

#### createEEFWidgetActionAdapter

    public org.eclipse.emf.common.notify.Adapter createEEFWidgetActionAdapter()

This creates an adapter for a `EEFWidgetAction`.

Overrides:
  `createEEFWidgetActionAdapter` in class `EefAdapterFactory`
Returns:
  the new adapter.
See Also:
  `EEFWidgetAction`

#### createEEFListConditionalStyleAdapter

    public org.eclipse.emf.common.notify.Adapter createEEFListConditionalStyleAdapter()

This creates an adapter for a `EEFListConditionalStyle`.

Overrides:
  `createEEFListConditionalStyleAdapter` in class `EefAdapterFactory`
Returns:
  the new adapter.
See Also:
  `EEFListConditionalStyle`

#### createEEFGroupConditionalStyleAdapter

    public org.eclipse.emf.common.notify.Adapter createEEFGroupConditionalStyleAdapter()

This creates an adapter for a `EEFGroupConditionalStyle`.

Overrides:
  `createEEFGroupConditionalStyleAdapter` in class `EefAdapterFactory`
Returns:
  the new adapter.
See Also:
  `EEFGroupConditionalStyle`

#### getRootAdapterFactory

    public org.eclipse.emf.edit.provider.ComposeableAdapterFactory getRootAdapterFactory()

This returns the root adapter factory that contains this factory.

Specified by:
  `getRootAdapterFactory` in interface `org.eclipse.emf.edit.provider.ComposeableAdapterFactory`

#### setParentAdapterFactory

    public void setParentAdapterFactory(org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory)

This sets the composed adapter factory that contains this factory.

Specified by:
  `setParentAdapterFactory` in interface `org.eclipse.emf.edit.provider.ComposeableAdapterFactory`

#### isFactoryForType

    public boolean isFactoryForType(java.lang.Object type)

Specified by:
  `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
Overrides:
  `isFactoryForType` in class `EefAdapterFactory`
Returns:
  whether this factory is applicable for the type of the object.

#### adapt

    public org.eclipse.emf.common.notify.Adapter adapt(org.eclipse.emf.common.notify.Notifier notifier,
                                                       java.lang.Object type)

This implementation substitutes the factory itself as the key for the adapter.

Specified by:
  `adapt` in interface `org.eclipse.emf.common.notify.AdapterFactory`
Overrides:
  `adapt` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`

#### adapt

    public java.lang.Object adapt(java.lang.Object object,
                                  java.lang.Object type)

Specified by:
  `adapt` in interface `org.eclipse.emf.common.notify.AdapterFactory`
Overrides:
  `adapt` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`

#### getChildCreationExtenders

    public java.util.List<org.eclipse.emf.edit.provider.IChildCreationExtender> getChildCreationExtenders()

#### getNewChildDescriptors

    public java.util.Collection<?> getNewChildDescriptors(java.lang.Object object,
                                                          org.eclipse.emf.edit.domain.EditingDomain editingDomain)

Specified by:
  `getNewChildDescriptors` in interface `org.eclipse.emf.edit.provider.IChildCreationExtender`

#### getResourceLocator

    public org.eclipse.emf.common.util.ResourceLocator getResourceLocator()

Specified by:
  `getResourceLocator` in interface `org.eclipse.emf.edit.provider.IChildCreationExtender`

#### addListener

    public void addListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)

This adds a listener.

Specified by:
  `addListener` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`

#### removeListener

    public void removeListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)

This removes a listener.

Specified by:
  `removeListener` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`

#### fireNotifyChanged

    public void fireNotifyChanged(org.eclipse.emf.common.notify.Notification notification)

This delegates to `changeNotifier` and to `parentAdapterFactory`.

Specified by:
  `fireNotifyChanged` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`

#### dispose

    public void dispose()

This disposes all of the item providers created by this factory.

Specified by:
  `dispose` in interface `org.eclipse.emf.edit.provider.IDisposable`